2018-07-16 17:33 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001175OpenFOAM[All Projects] Bugpublic2018-07-10 11:16
Reportertniemi 
Assigned Touser2 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001175: Epsilon and omega wall functions produce duplicate value entries
DescriptionIn 2.3.x epsilon and omega wall functions will produce duplicate value-entries for wall boundaries, which confuses Paraview. This happens, because in 2.3.x they are derived from fixedValueFvPatchField instead of fixedInternalValueFvPachField. fixedValueFvPatchField::write creates value-entry while fixedInternalValueFvPachField::write does not.

TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001213resolveduser2 epsilonWallFunction outputs value twice 
+Relationships

-Notes

~0002880

user2

Thanks for the report - fixed by commit 42bd80f

~0002945

tniemi (reporter)

I just noticed that the same bug affects also those wall functions, which are defined in the TurbulenceModels-directory. (with capital T)

~0002947

user2

Thanks for the report - fixed by commit 81655f4
+Notes

-Issue History
Date Modified Username Field Change
2014-02-21 07:39 tniemi New Issue
2014-02-21 08:56 user2 Note Added: 0002880
2014-02-21 08:56 user2 Status new => resolved
2014-02-21 08:56 user2 Fixed in Version => 2.3.x
2014-02-21 08:56 user2 Resolution open => fixed
2014-02-21 08:56 user2 Assigned To => user2
2014-03-11 14:49 user2 Relationship added has duplicate 0001213
2014-03-14 09:21 tniemi Note Added: 0002945
2014-03-14 09:21 tniemi Status resolved => feedback
2014-03-14 09:21 tniemi Resolution fixed => reopened
2014-03-14 10:07 user2 Note Added: 0002947
2014-03-14 10:07 user2 Status feedback => resolved
2014-03-14 10:07 user2 Resolution reopened => fixed
2014-10-08 10:15 user537 Tag Attached: 42bd80f
2018-07-10 11:16 administrator Tag Detached: 42bd80f
+Issue History